<?php
/**
*
* @package - Top Attachments MOD
* @author all4phone
* @version $Id$
* @file				acp_topa.php
* @copyright (c) 2014 all4phone (http://phpbbmods.cba.pl/)
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package acp
*/
class acp_topa
{
	var $u_action;
	function main($id, $mode)
	{
		global $db, $user, $auth, $template;
		global $config, $phpbb_root_path, $phpbb_admin_path, $phpEx;

		$action = request_var('action', '');
		$submit = (isset($_POST['submit'])) ? true : false;

		if ($mode != 'index')
		{
			return;
		}

		$this->tpl_name = 'acp_topa';
		$this->page_title = 'ACP_TOPA_SETTINGS';

		$topa_enable = request_var('topa_enable', $config['topa_enable']);
		$topa_top = request_var('topa_top', $config['topa_top']);
/* begin topa_quant */
		$topa_quant_array = explode(',', '2,3,4,5,6,7,8,9,10');
		$topa_quant_options = '<select id="topa_quant" name="topa_quant" class="inputbox" size="1"  onchange="document.adminForm.submit();">';
		foreach ($topa_quant_array as $topa_quant)
		{
			$topa_quant_options .= '<option class="inputbox2" value="' . $topa_quant  . '"' . (($config['topa_quant'] == $topa_quant) ? ' selected="selected"' : '') . '>' . $topa_quant . '</option>';
		}
		$topa_quant_options .= '</select>';
/* end topa_quant */
		$topa_forums = request_var('topa_forums', $config['topa_forums']);
		
		$form_name = 'acp_topa';
		add_form_key($form_name);

		if ($submit)
		{
			if (!check_form_key($form_name))
			{
				trigger_error($user->lang['FORM_INVALID']. adm_back_link($this->u_action), E_USER_WARNING);
			}

			$error = array();

			$message = $user->lang['ACP_TOPA_SETTINGS_CHANGED'];
			$log = 'LOG_TOPA_SETTINGS_CHANGED';

			set_config('topa_enable', $topa_enable);
			set_config('topa_top', $topa_top);
			set_config('topa_quant', request_var('topa_quant', ''));
			set_config('topa_forums', $topa_forums);
			
			add_log('admin', 'LOG_' . $log);
			trigger_error($message . adm_back_link($this->u_action));
		}

		$template->assign_vars(array(
			'U_ACTION'						=> $this->u_action,
			'TOPA_VERSION'					=> $config['topa_version'],
			'TOPA_ENABLE'					=> $topa_enable,
			'TOPA_TOP'						=> $topa_top,
			'TOPA_QUANT'					=> $topa_quant_options,
			'TOPA_FORUMS'					=> $config['topa_forums'],
		));
	}
}

?>
